<template>
    <div class="container">
        <h1>Tablero Canvas</h1>

        <div v-if="canvas" class="canvas-container">
            <div class="canvas-dashboard">
                <div class="canvas-dashboard__column">
                    <canvas-item
                        field="competencies"
                        :value="canvas.competencies"
                    >
                        <template v-slot:title>competencias clave</template>
                        <template v-slot:icon>
                            <img src="/images/canvas/competencies.svg" alt="" />
                        </template>
                    </canvas-item>
                    <canvas-item field="estandards" :value="canvas.estandards">
                        <template v-slot:title
                            >Estándares de aprendizaje</template
                        >
                        <template v-slot:icon>
                            <img src="/images/canvas/standars2.svg" alt="" />
                        </template>
                    </canvas-item>
                    <canvas-item field="methods" :value="canvas.methods">
                        <template v-slot:title>Métodos de evaluación</template>
                        <template v-slot:icon>
                            <img src="/images/canvas/evaluation.svg" alt="" />
                        </template>
                    </canvas-item>
                </div>
                <div class="canvas-dashboard__column">
                    <canvas-item field="product" :value="canvas.product">
                        <template v-slot:title>producto final</template>
                        <template v-slot:icon>
                            <img src="/images/canvas/product2.svg" alt="" />
                        </template>
                    </canvas-item>
                    <canvas-item field="tasks" :value="canvas.tasks">
                        <template v-slot:title>tareas</template>
                        <template v-slot:icon>
                            <img src="/images/canvas/tasks.svg" alt="" />
                        </template>
                    </canvas-item>
                    <canvas-item field="difussion" :value="canvas.difussion">
                        <template v-slot:title>difusión</template>
                        <template v-slot:icon>
                            <img src="/images/canvas/difussion.svg" alt="" />
                        </template>
                    </canvas-item>
                </div>
                <div class="canvas-dashboard__column">
                    <canvas-item field="resources" :value="canvas.resources">
                        <template v-slot:title>recursos</template>
                        <template v-slot:icon>
                            <img src="/images/canvas/resources.svg" alt="" />
                        </template>
                    </canvas-item>
                    <canvas-item field="tools" :value="canvas.tools">
                        <template v-slot:title>herramientas tic</template>
                        <template v-slot:icon>
                            <img src="/images/canvas/tools.svg" alt="" />
                        </template>
                    </canvas-item>
                    <canvas-item field="grouping" :value="canvas.grouping">
                        <template v-slot:title
                            >agrupamiento / organización</template
                        >
                        <template v-slot:icon>
                            <img src="/images/canvas/grouping.svg" alt="" />
                        </template>
                    </canvas-item>
                </div>
            </div>
        </div>
        <div v-else>Cargando tablero ...</div>
    </div>
</template>

<script>
import canvasItem from "@/components/canvas/Item.vue";

import canvas from "@/services/Canvas.js";
export default {
    components: {
        canvasItem,
    },
    data() {
        return {
            canvas: null,
        };
    },
    async created() {
        try {
            const { data } = await canvas.get();
            this.canvas = data;
        } catch (error) {
            console.log("dashboard error: ", error);
        }
    },
};
</script>
<style lang="scss">
@import "@/assets/scss/sections/dashboard";
</style>
